Name:      redcastle-data
Version:   3.0.0
Release:   2
Summary:   RedCastle SecureOS

Group:     System Environment/Base
License:   RedCastle License
Vendor:    RedGate Co., Ltd.
Source0:   RedCastle3.tar.gz
NoSource:  0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%define __prefix_pam_conf $RPM_BUILD_ROOT/etc/security/pam_acl_conf
%define __prefix_app_rc   $RPM_BUILD_ROOT/usr/share/redcastle
%define __prefix_app_etc  $RPM_BUILD_ROOT/etc
%define __install_app_rc  /usr/share/redcastle
%define __install_app_etc /etc


%description
* RedCastle Applications
This package provides RedCastle's default policy and data.

* RedCastle License to Asianux 3.0
RedCastle is Secure OS product developed by REDGATE Co., Ltd.
RedCastle product is provided in two modules:
Basic module is free of charge for use and
Certain license fee will be charged for the Advanced module.
For more informations, see the LICENSE file in /usr/share/redcastle/doc.


%prep


%setup -c
echo


%build


%install
cd RedCastle3/src/pam_acl
mkdir -p %{__prefix_pam_conf}
mkdir    %{__prefix_pam_conf}/group
mkdir    %{__prefix_pam_conf}/user
cp service.conf.linux26 %{__prefix_pam_conf}/service.conf

cd ../..
mkdir -p %{__prefix_app_rc}

# Make conf/ directory
mkdir %{__prefix_app_rc}/conf
cp data-ax30/rclogd.conf %{__prefix_app_rc}/conf
cp conf/rc_linux.conf    %{__prefix_app_rc}/conf/rc.conf
cp conf/rc_sms.conf      %{__prefix_app_rc}/conf
cp conf/rcopt.conf       %{__prefix_app_rc}/conf

# Make data/ directory ( Default policy )
mkdir %{__prefix_app_rc}/data
cp data-ax30/acl_fgroup-default   %{__prefix_app_rc}/data/acl_fgroup
cp data-ax30/policy_group-default %{__prefix_app_rc}/data/policy_group
cp data-ax30/alcmd_file-default   %{__prefix_app_rc}/data/alcmd_file

# Make doc/ directory
mkdir %{__prefix_app_rc}/doc
cp data-ax30/LICENSE      %{__prefix_app_rc}/doc
cp data-ax30/README       %{__prefix_app_rc}/doc
cp data-ax30/README.en    %{__prefix_app_rc}/doc
cp data-ax30/README.ja    %{__prefix_app_rc}/doc
cp data-ax30/README.ko    %{__prefix_app_rc}/doc
cp data-ax30/README.zh_CN %{__prefix_app_rc}/doc
cp data-ax30/README.zh_TW %{__prefix_app_rc}/doc
cp data-ax30/RedCastle_Manual.pdf %{__prefix_app_rc}/doc

# Make etc/ directory
mkdir %{__prefix_app_rc}/etc
cp etc/dh1024.pem %{__prefix_app_rc}/etc
cp etc/dh512.pem  %{__prefix_app_rc}/etc

# Make inst/ directory ( redcastle and redmanager scripts )
mkdir %{__prefix_app_rc}/inst/
%ifarch i386 i686
	cp data-ax30/redcastle.i386  %{__prefix_app_rc}/inst/redcastle
%else
	cp data-ax30/redcastle       %{__prefix_app_rc}/inst/redcastle
%endif
cp data-ax30/redmanager %{__prefix_app_rc}/inst/redmanager
chmod 544 %{__prefix_app_rc}/inst/*

# Make empty directories
mkdir %{__prefix_app_rc}/logdbs
mkdir %{__prefix_app_rc}/logs

# Copy environment file ( /etc/.evrc )
mkdir -p %{__prefix_app_etc}
cp data-ax30/evrc %{__prefix_app_etc}/.evrc
chmod 444 %{__prefix_app_etc}/.evrc

# Copy init.d script ( redcastle and redmanager )
mkdir -p %{__prefix_app_etc}/init.d
cp %{__prefix_app_rc}/inst/redcastle  %{__prefix_app_etc}/init.d
cp %{__prefix_app_rc}/inst/redmanager %{__prefix_app_etc}/init.d


%clean
rm -rf $RPM_BUILD_ROOT


%files
/etc/security/pam_acl_conf
/etc/security/pam_acl_conf/group
/etc/security/pam_acl_conf/service.conf
/etc/security/pam_acl_conf/user

/etc/.evrc
/etc/init.d/redcastle
/etc/init.d/redmanager

/usr/share/redcastle

/usr/share/redcastle/conf
/usr/share/redcastle/conf/rc.conf
/usr/share/redcastle/conf/rc_sms.conf
/usr/share/redcastle/conf/rclogd.conf
/usr/share/redcastle/conf/rcopt.conf

/usr/share/redcastle/data
/usr/share/redcastle/data/acl_fgroup
/usr/share/redcastle/data/alcmd_file
/usr/share/redcastle/data/policy_group

/usr/share/redcastle/doc
/usr/share/redcastle/doc/LICENSE
/usr/share/redcastle/doc/README
/usr/share/redcastle/doc/README.en
/usr/share/redcastle/doc/README.ja
/usr/share/redcastle/doc/README.ko
/usr/share/redcastle/doc/README.zh_CN
/usr/share/redcastle/doc/README.zh_TW
/usr/share/redcastle/doc/RedCastle_Manual.pdf

/usr/share/redcastle/etc
/usr/share/redcastle/etc/dh1024.pem
/usr/share/redcastle/etc/dh512.pem

/usr/share/redcastle/inst
/usr/share/redcastle/inst/redcastle
/usr/share/redcastle/inst/redmanager

/usr/share/redcastle/logdbs
/usr/share/redcastle/logs


%changelog
* Wed Aug 15 2007 Kity Park <kity@redgate.co.kr>
- Correct and re-form error messages of redcastle and redmanager script.
- Provide Korean and Japanese README file.
- Provide RedCastle manual.

* Wed Aug  1 2007 Kity Park <kity@redgate.co.kr>
- Separate data parts from redcastle-app rpm.
- Fix the bug 2712.
  Change the name of init.RedCastle and init.RedManager script to redcastle and redmanager.
  And redcastle and redmanager script support chkconfig format.
- Provide Chinese README file.
